SHUTDOWN(8)

NAME
shutdown - close down the system at a given time

SYNOPSIS
shutdown [-] [-hkrn] time [warning-message ...]

DESCRIPTION
Shutdown provides an automated shutdown procedure for super-users to nicely notify users when the system is shutting down, saving them from system administrators, hackers, and gurus, who would otherwise not bother with such niceties.

Available friendlinesses:

-h  The system is halted at the specified time when shutdown execs halt(8).

-k  Kick every body off. The -k option does not actually halt the system, but leaves the system multi-user with logins disabled (for all but super-user).

-n  Prevent the normal sync(2) before stopping.

-r  Shutdown execs reboot(8) at the specified time.

time
    Time is the time at which shutdown will bring the system down and may be the word now (indicating an immediate shutdown) or specify a future time in one of two formats: +number, or yymmddhhmm, where the year, month, and day may be defaulted to the current system values. The first form brings the system down in number minutes and the second at the absolute time specified.

warning-message
    Any other arguments comprise the warning message that is broadcast to users currently logged into the system.

-   If ‘-’ is supplied as an option, the warning message is read from the standard input.

At intervals, becoming more frequent as apocalypse approaches and starting at ten hours before shutdown, warning messages are displayed on the terminals of all users logged in. Five minutes before shutdown, or immediately if shutdown is in less than 5 minutes, logins are disabled by creating /etc/nologin and copying the warning message there. If this file exists when a user attempts to log in, login(1) prints its contents and exits. The file is removed just before shutdown exits.

At shutdown time a message is written in the system log, containing the time of shutdown, who initiated the shutdown and the reason. A terminate signal is then sent to init to bring the system down to single-user state (depending on above options). The time of the shutdown and the warning message are placed in /etc/nologin and should be used to inform the users about when the system will be back up and why it is going down (or anything else).

FILES
/etc/nologin
    tells login not to let anyone log in

SEE ALSO
login(1), wall(1), halt(8), reboot(8)

BACKWARD COMPATIBILITY
The hours and minutes in the second time format may be separated by a colon (``:'') for backward compatibility.

HISTORY
The shutdown command appeared in 4.0BSD.